This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 355541 - livecd-iso-to-disk fails with rawhide/F-8 iso images (patch attached)
livecd-iso-to-disk fails with rawhide/F-8 iso images (patch attached)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-27 20:41 EDT by Jonathan Underwood
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-28 13:59:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to allow F-7 livecd-iso-to-disk to work with rawhide/F-8 isos (703 bytes, patch)
2007-10-27 20:43 EDT, Jonathan Underwood
no flags Details | Diff

  None (edit)
Description Jonathan Underwood 2007-10-27 20:41:19 EDT
Description of problem:
This evening I downloaded rawhide-20071019-x86_64.iso as found on the
Fedora torrents. I then tried to create a bootable USB stick using a
fully updated F-7 box:

# livecd-iso-to-disk rawhide-20071019-x86_64.iso /dev/sdb1
Already set up as live image.  Deleting old in fifteen seconds...
Copying live image to USB stick
cp: cannot stat `/media/cdtmp.s17912/squashfs.img': No such file or directory
Cleaning up to exit...


For a sanity check I retried using an F-7 livecd iso:

# livecd-iso-to-disk Fedora_ISO/Fedora-7-Live-x86_64.iso /dev/sdb1
Already set up as live image.  Deleting old in fifteen seconds...
Copying live image to USB stick
Updating boot config file
Installing boot loader
USB stick set up as live image!

A bit of digging led me to realize that for older (F-7) iso spinds squashfs.img
is in the root directory of the iso image, whereas for composes from rawhide
which will be F-8 it is in the LiveOS subdirectory.

I am attaching a patch to fix this. I think it would be REALLY important to fix
this in the F-7 livecd-tools and push an update as I think I'm describing what
will be quite a common use case when F-8 is released (i.e. people wishing to
create bootable F-8 sticks under F-7 in order to upgrade).
Comment 1 Jonathan Underwood 2007-10-27 20:43:16 EDT
Created attachment 240781 [details]
Patch to allow F-7 livecd-iso-to-disk to work with rawhide/F-8 isos
Comment 2 Jeremy Katz 2007-10-28 13:59:48 EDT
You realize that the F8 version already handles all the permutations? :)

And for the F8 release, we're going to include the script on the iso to make
things easier.  I'm hoping to also get out an F7 update in the next week or so,
but the big thing is finding some time to ensure everything is working.

Note You need to log in before you can comment on or make changes to this bug.